# pycrs.utils API documentation
Misc utility functions related to crs formats and online services.

Top

# pycrs.utils module

Misc utility functions related to crs formats and online services.

## Functions

def build_crs_table(

savepath)

Build crs table of all equivalent format variations by scraping spatialreference.org. Saves table as tab-delimited text file. NOTE: Might take a while.

Arguments:

- savepath: The absolute or relative filepath to which to save the crs table, including the ".txt" extension.

def crscode_to_string(

codetype, code, format)

Lookup crscode on spatialreference.org and return in specified format.

Arguments:

- codetype: "epsg", "esri", or "sr-org".
- code: The code.
- format: The crs format of the returned string. One of "ogcwkt", "esriwkt", or "proj4", but also several others...

Returns:

- Crs string in the specified format.